org.jboss.resteasy.keystone.as7

## Class JBossWebAuthLoginModule

- java.lang.Object
- - org.jboss.security.auth.spi.AbstractServerLoginModule
  - - org.jboss.resteasy.keystone.as7.JBossWebAuthLoginModule

- All Implemented Interfaces:
    LoginModule
  Direct Known Subclasses:
    SignedSkeletonKeyStoneLoginModule, SkeletonKeyStoneLoginModule

      public abstract class JBossWebAuthLoginModule
      extends org.jboss.security.auth.spi.AbstractServerLoginModule

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule

      `callbackHandler, log, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossWebAuthLoginModule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `login()`
    `protected abstract boolean` | `login(org.apache.catalina.connector.Request request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule

      `abort, addValidOptions, checkOptions, commit, createGroup, createIdentity, getCallerPrincipalGroup, getIdentity, getRoleSets, getUnauthenticatedIdentity, getUseFirstPass, initialize, logout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBossWebAuthLoginModule

          public JBossWebAuthLoginModule()

  - ### Method Detail

    - #### login

          public boolean login()
                        throws LoginException

      Specified by:
        `login` in interface `LoginModule`
      Overrides:
        `login` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
      Throws:
        `LoginException`

    - #### login

          protected abstract boolean login(org.apache.catalina.connector.Request request,
                      javax.servlet.http.HttpServletResponse response)
                                    throws LoginException

      Throws:
        `LoginException`

Copyright © 2014. All Rights Reserved.